from ..models import Article, Program, StaticPage
from .page import PageDetailView, PageListView

__all__ = ["ArticleDetailView", "ArticleListView"]


class ArticleDetailView(PageDetailView):
    model = Article


class ArticleListView(PageListView):
    model = Article
    parent_model = Program
    attach_to_value = StaticPage.Target.ARTICLES
